name: diplomaticquarterapp
description: A new Flutter application.

version: 4.5.73+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # Localizations
  flutter_localizations:
    sdk: flutter
  intl: ^0.17.0
  # web view
  #  webview_flutter: ^2.3.1

  # http client
  http: ^0.13.4
  connectivity: ^3.0.6
  async: ^2.8.1

  audio_wave: ^0.1.4
  #  audio_session: ^0.1.13
  # State Management
  provider: ^6.0.1

  #Dependency Injection
  get_it: ^7.2.0

  #Google Fit & Apple HealthKit
  health: ^3.0.3

  #chart
  fl_chart: ^0.45.0

  #Camera Preview
  camera: ^0.10.1

  # Permissions
  permission_handler: ^10.2.0


  # Flutter Html View
  flutter_html: ^2.2.1

  # Pagnation
  pull_to_refresh: ^2.0.0

  # Native
  local_auth: ^1.1.8
  localstorage: ^4.0.0+1
  maps_launcher: ^2.0.1
  url_launcher: ^6.0.15
  shared_preferences: ^2.0.0
  #  flutter_flexible_toast: ^0.1.4
  fluttertoast: ^8.0.8
  firebase_messaging: 14.1.0
  firebase_analytics: 10.0.5


  # Progress bar
  progress_hud_v2: ^2.0.0
  percent_indicator: ^3.4.0

  # Icons
  font_awesome_flutter: any
  cupertino_icons: ^1.0.0

  # Image Attachments
  image_picker: ^0.8.5+3

  #GIF image
  flutter_gifimage: ^1.0.1
  photo_view: any
  #  flutter_webrtc:  any

  # UI Reqs
  expandable: ^4.1.4

  # Notification Banner
  #  dropdown_banner: ^1.4.0
  #  flutter_xlider: ^3.4.0
  #  flutter_local_notifications:

  # charts
  charts_flutter: ^0.12.0

  google_maps_flutter: ^2.1.1

  # Huawei
  huawei_map: 6.5.0+301
  huawei_push: ^6.5.0+300

  # Qr code Scanner TODO fix it
  #  barcode_scanner: ^1.0.1
  #  flutter_polyline_points: ^1.0.0
  location: ^4.3.0
  # Qr code Scanner
  #  barcode_scan_fix: ^1.0.2
  barcode_scan2: 4.2.2

  # Rating Stars
  rating_bar: ^0.2.0

  # Calendar
  syncfusion_flutter_calendar: ^19.3.55

  # SVG Images
  #  flutter_svg: ^0.23.0+1

  #Calendar Events
  manage_calendar_events: ^2.0.1

  #InAppBrowser
  flutter_inappwebview: 5.7.2+3

  #Circular progress bar for reverse timer
  circular_countdown_timer: ^0.2.0

  #Just Audio to play ringing for incoming video call
  just_audio: ^0.9.30

  #hijri
  hijri: ^2.0.3

  #datetime_picker
  flutter_datetime_picker: ^1.5.1
  # Carousel
  carousel_pro: ^1.0.0

  #local_notifications
  flutter_local_notifications: 10.0.0

  #device_calendar
  device_calendar: ^4.2.0

  # TEMPORAL FIX for https://github.com/builttoroam/device_calendar/issues/507
  # device_calendar: ^4.3.1
  #  device_calendar:
  #    git:
  #      url: https://github.com/builttoroam/device_calendar.git
  #      ref: develop

  #Handle Geolocation
  geolocator: ^9.0.2

  #Handle lat long to address
  geocoding: ^2.0.1

  jiffy: ^4.1.0

  #Flutter WebRTC
  flutter_webrtc: ^0.9.7

  screen_brightness: ^0.1.2

  #google maps places

  google_maps_place_picker_mb: ^3.0.0
  #  google_maps_place_picker: ^2.1.0-nullsafety.3
  map_launcher: ^1.1.3
  #countdown timer for Upcoming List
  flutter_countdown_timer: ^4.1.0

  #Dependencies for video call implementation
  native_device_orientation: ^1.0.0
  wakelock: ^0.5.6
  after_layout: ^1.1.0
  #  twilio_programmable_video: ^0.11.0+1
  cached_network_image: ^3.1.0+1
  #  flutter_tts:
  #    path: flutter_tts-voice_enhancement
  flutter_tts: ^3.6.1

  wifi: ^0.1.5
  vibration: ^1.7.3

  flutter_nfc_kit: 3.3.1

  geofencing: ^0.1.0

  speech_to_text: ^6.1.1
  #    path: speech_to_text

  in_app_update: ^3.0.0

  in_app_review: 2.0.3

  badges: ^2.0.1
  flutter_app_icon_badge: ^2.0.0
  #  syncfusion_flutter_sliders: ^19.3.55
  searchable_dropdown: ^1.1.3
  dropdown_search: 0.4.9
  youtube_player_flutter: ^8.0.0

  # Dep by Zohaib
  shimmer: ^2.0.0
  carousel_slider: ^4.0.0
  #  flutter_material_pickers: ^3.1.2
  flutter_staggered_grid_view: ^0.4.1
  #  flutter_hms_gms_availability: ^2.0.0
  huawei_hmsavailability: ^6.6.0+300
  huawei_location: 6.0.0+302

  # Marker Animation
  #  flutter_animarker: ^3.2.0
  auto_size_text: ^3.0.0
  equatable: ^2.0.3
  #  signalr_core: ^1.1.1
  wave: ^0.2.0
  #  sms_retriever: ^1.0.0
  sms_otp_auto_verify: ^2.1.0
  flutter_ios_voip_kit: ^0.0.5
  google_api_availability: ^3.0.1
  #  open_file: ^3.2.1
  open_filex: ^4.3.2
  path_provider: ^2.0.8
  #  flutter_callkit_incoming: ^1.0.3+3
  #  firebase_core: 1.12.0

#  flutter_amazonpaymentservices: 0.0.6
#  crypto:

dependency_overrides:
  provider: ^5.0.0
  #  permission_handler : ^10.2.0
  flutter_svg: ^1.1.6
#  firebase_messaging_platform_interface: any
#  flutter_inappwebview: 5.7.2+3
#    git:
#      url: https://github.com/CodeEagle/flutter_inappwebview


dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^2.1.5

flutter:
  uses-material-design: true
  # assets:
  assets:
    - assets/
    - assets/images/
    - assets/images/map_markers/
    - assets/images/pharmacy/
    - assets/images/medical/
    - assets/images/new-design/
    - assets/images/login/
    - assets/images/SmartWatches/
    - assets/images/DQ/
    - assets/images/BMI/
    - assets/json/
    - assets/sounds/
    - assets/images/svg/
    - assets/tracker/
    - assets/images/AlHabibMedicalService/
    - assets/images/AlHabibMedicalService/health_calculator/
    - assets/images/pharmacy_module/
    - assets/images/gif/
    - assets/images/pharmacy_module/payment/
    - assets/images/pharmacy_module/lakum/
    - assets/images/nfc/
    - assets/payment_options/

    - assets/images/new/
    - assets/images/new/mass/
    - assets/images/new/bottom_nav/
    - assets/images/new/services/
    - assets/images/new/appointment-rating/
    - assets/images/new/payment/
    - assets/images/new/body_parts/
    - assets/images/new/body_parts/male/
    - assets/images/new/body_parts/female/

  fonts:
    - family: WorkSans
      fonts:
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.eot
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.woff
          weight: 300
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.woff
          weight: 400
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.eot
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.otf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.ttf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.woff
          weight: 700

    - family: Cairo
      fonts:
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.eot
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.otf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.ttf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.woff
          weight: 300

        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.eot
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.otf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.ttf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.woff
          weight: 700

    - family: DQIcons
      fonts:
        - asset: assets/app_icons/fonts/DQIcons.ttf

    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100